
Application: gvSIG desktop - gvSIG bugs #4789
Can't add X and Y fields
01/15/2018 10:20 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Document table
Target version: 2.4.0-2847 (rev. org.gvsig.desktop-2.0.216)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2846 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps to reproduce the issue:
    -  create a random vector layer of points;
    -  open its attribute table;
    -  click on "Table" > "Add measure" > "Add X and Y" menu option.

The following error occurs:

ERROR 129394 AWT-EventQueue-0
org.gvsig.geometrymeasurement.app.extension.AbstractGeometryMeasurementExtension - Not possible to add the new field
org.gvsig.fmap.dal.exception.WriteException: Exception writing
'C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15160075175230.shp'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.finishEditing(DefaultFeatureStore.java:1470)
    at org.gvsig.geometrymeasurement.app.extension.utils.Operations.addXYPoints(Operations.java:190)
    at
org.gvsig.geometrymeasurement.app.extension.AddXYPointThemeExtension.execute(AddXYPointThemeExtension.java:49)
    at
org.gvsig.geometrymeasurement.app.extension.AbstractGeometryMeasurementExtension.execute(AbstractGeometryMeasurementExtension.java:161)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.actionPerformed(DefaultActionInfo.java:352)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    [...]
Caused by: org.gvsig.fmap.dal.feature.exception.PerformEditingException: Can't perform changes in 'Shapes'.
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.performChanges(SHPStoreProvider.java:552)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.finishEditing(DefaultFeatureStore.java:1459)
 
mentExtension.java:161)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.actionPerformed(DefaultActionInfo.java:352)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    [...]
Caused by: org.gvsig.fmap.dal.feature.exception.PerformEditingException: Can't perform changes in 'Shapes'.
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.performChanges(SHPStoreProvider.java:552)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.finishEditing(DefaultFeatureStore.java:1459)
    ... 46 more
Caused by: Error executing action in resource 'MultiResource
C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15160075175230.shp'.
    at org.gvsig.fmap.dal.resource.spi.MultiResource.execute(MultiResource.java:316)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.performChanges(SHPStoreProvider.java:462)
    ... 47 more
Caused by: java.lang.IllegalStateException: Can't overwrite cause with
org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider$3.run(SHPStoreProvider.java:484)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:339)
    at org.gvsig.fmap.dal.resource.spi.MultiResource.execute(MultiResource.java:314)
    ... 48 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 54 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store
'15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 57 more
ERROR 129568 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - Exception writing
'C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15160075175230.shp'.
Can't perform changes in 'Shapes'.
Error executing action in resource 'MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15160075175230.shp'.
Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store
'15160075175230s'. (java.lang.IllegalStateException)
Can't create feature in store '15160075175230s'.
Feature type not allowed for the store '15160075175230s'.
org.gvsig.fmap.dal.exception.WriteException: Exception writing
'C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15160075175230.shp'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.finishEditing(DefaultFeatureStore.java:1470)
    at org.gvsig.geometrymeasurement.app.extension.utils.Operations.addXYPoints(Operations.java:190)
    at
org.gvsig.geometrymeasurement.app.extension.AddXYPointThemeExtension.execute(AddXYPointThemeExtension.java:49)
    at
org.gvsig.geometrymeasurement.app.extension.AbstractGeometryMeasurementExtension.execute(AbstractGeometryMeasurementExtension.java:161)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.actionPerformed(DefaultActionInfo.java:352)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    [...]
Caused by: org.gvsig.fmap.dal.feature.exception.PerformEditingException: Can't perform changes in 'Shapes'.
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.performChanges(SHPStoreProvider.java:552)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.finishEditing(DefaultFeatureStore.java:1459)
    ... 46 more
Caused by: Error executing action in resource 'MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15160075175230.shp'.
    at org.gvsig.fmap.dal.resource.spi.MultiResource.execute(MultiResource.java:316)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.performChanges(SHPStoreProvider.java:462)
    ... 47 more
Caused by: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider$3.run(SHPStoreProvider.java:484)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:339)
    at org.gvsig.fmap.dal.resource.spi.MultiResource.execute(MultiResource.java:314)
    ... 48 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 54 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 57 more
WARN 129598 MapControl Drawer Worker org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest - Problems drawing mapcontext.
java.lang.RuntimeException: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:243)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.getEnvelope(DefaultFeatureStore.java:467)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:383)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite 
mentExtension.java:161)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.actionPerformed(DefaultActionInfo.java:352)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    [...]
Caused by: org.gvsig.fmap.dal.feature.exception.PerformEditingException: Can't perform changes in 'Shapes'.
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.performChanges(SHPStoreProvider.java:552)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.finishEditing(DefaultFeatureStore.java:1459)
    ... 46 more
Caused by: Error executing action in resource 'MultiResource
C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15160075175230.shp'.
    at org.gvsig.fmap.dal.resource.spi.MultiResource.execute(MultiResource.java:316)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.performChanges(SHPStoreProvider.java:462)
    ... 47 more
Caused by: java.lang.IllegalStateException: Can't overwrite cause with
org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider$3.run(SHPStoreProvider.java:484)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:339)
    at org.gvsig.fmap.dal.resource.spi.MultiResource.execute(MultiResource.java:314)
    ... 48 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 54 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store
'15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 57 more
WARN 129598 MapControl Drawer Worker org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest - Problems drawing
mapcontext.
java.lang.RuntimeException: java.lang.IllegalStateException: Can't overwrite cause with
org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:243)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.getEnvelope(DefaultFeatureStore.java:467)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:383)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:217)
    ... 13 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 17 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 20 more
ERROR 129598 MapControl Drawer Worker org.gvsig.andami.messages.NotificationManager - java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.

- Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
- Can't create feature in store '15160075175230s'.
- Feature type not allowed for the store '15160075175230s'.

java.lang.RuntimeException: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:243)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.getEnvelope(DefaultFeatureStore.java:467)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:383)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:217)
    ... 13 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 17 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 20 more
INFO 130338 AWT-EventQueue-0 org.gvsig.fmap.mapcontrol.dal.feature.swing.table.FeatureTableModel$DelayAction - DelayAction.run[16] begin
ERROR 130338 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    [...]
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 34 more
Caused by: or
va:383)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:217)
    ... 13 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 17 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 20 more
ERROR 129598 MapControl Drawer Worker org.gvsig.andami.messages.NotificationManager - java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.

- Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
- Can't create feature in store '15160075175230s'.
- Feature type not allowed for the store '15160075175230s'.

java.lang.RuntimeException: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:243)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.getEnvelope(DefaultFeatureStore.java:467)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:383)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:217)
    ... 13 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 17 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 20 more
INFO 130338 AWT-EventQueue-0 org.gvsig.fmap.mapcontrol.dal.feature.swing.table.FeatureTableModel$DelayAction - DelayAction.run[16] begin
ERROR 130338 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    [...]
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 34 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.Defa
)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:217)
    ... 13 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 17 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 20 more
ERROR 129598 MapControl Drawer Worker org.gvsig.andami.messages.NotificationManager - java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.

- Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
- Can't create feature in store '15160075175230s'.
- Feature type not allowed for the store '15160075175230s'.

java.lang.RuntimeException: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:243)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.getEnvelope(DefaultFeatureStore.java:467)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:383)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:217)
    ... 13 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 17 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 20 more
INFO 130338 AWT-EventQueue-0 org.gvsig.fmap.mapcontrol.dal.feature.swing.table.FeatureTableModel$DelayAction - DelayAction.run[16] begin
ERROR 130338 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    [...]
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 34 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 37 more

)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite cause with
org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:217)
    ... 13 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 17 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store
'15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 20 more
ERROR 129598 MapControl Drawer Worker org.gvsig.andami.messages.NotificationManager -
java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException:
Can't create feature in store '15160075175230s'.

- Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store
'15160075175230s'.
- Can't create feature in store '15160075175230s'.
- Feature type not allowed for the store '15160075175230s'.

java.lang.RuntimeException: java.lang.IllegalStateException: Can't overwrite cause with
org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:243)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.getEnvelope(DefaultFeatureStore.java:467)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:383)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:217)
    ... 13 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 17 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 20 more
INFO 130338 AWT-EventQueue-0 org.gvsig.fmap.mapcontrol.dal.feature.swing.table.FeatureTableModel$DelayAction - DelayAction.run[16] begin
ERROR 130338 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    [...]
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 34 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 37 more

va:383)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:217)
    ... 13 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 17 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 20 more
INFO 130338 AWT-EventQueue-0 org.gvsig.fmap.mapcontrol.dal.feature.swing.table.FeatureTableModel$DelayAction - DelayAction.run[16] begin
ERROR 130338 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    [...]
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 34 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 37 more

)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:217)
    ... 13 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 17 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 20 more
INFO 130338 AWT-EventQueue-0 org.gvsig.fmap.mapcontrol.dal.feature.swing.table.FeatureTableModel$DelayAction - DelayAction.run[16] begin
ERROR 130338 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    [...]
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 34 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 37 more

)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.IllegalStateException: Can't overwrite cause with
org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.SpatialManager.getEnvelope(SpatialManager.java:217)
    ... 13 more
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 17 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store
'15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 20 more
INFO 130338 AWT-EventQueue-0 org.gvsig.fmap.mapcontrol.dal.feature.swing.table.FeatureTableModel$DelayAction -
DelayAction.run[16] begin
ERROR 130338 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.IllegalStateException: Can't
overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store
'15160075175230s'.
java.lang.IllegalStateException: Can't overwrite cause with org.gvsig.fmap.dal.feature.exception.CreateFeatureException:
Can't create feature in store '15160075175230s'.
    at java.lang.Throwable.initCause(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:108)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    [...]
Caused by: org.gvsig.fmap.dal.feature.exception.CreateFeatureException: Can't create feature in store '15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2168)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:174)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    ... 34 more
Caused by: org.gvsig.fmap.dal.feature.exception.IllegalFeatureTypeException: Feature type not allowed for the store
'15160075175230s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.fixFeatureType(DefaultFeatureStore.java:1926)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeatureProvider(DefaultFeatureStore.java:2144)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.createNewFeature(DefaultFeatureStore.java:2160)
    ... 37 more

Associated revisions
Revision 43726 - 01/18/2018 08:07 PM - Joaquín  del Cerro Murciano

refs #4789, borrada la cache del paginghelper al inicio del metodo reload

Revision 43727 - 01/18/2018 08:08 PM - Joaquín  del Cerro Murciano

refs #4789, modificado el FastEditedIterator para que cuando crea una feature use el featuretype del store y no el de los datos del proveedor.

History
#1 - 01/18/2018 03:08 PM - Antonio Falciano

Related to #4787 and #4788?
#2 - 01/18/2018 07:58 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2847 (rev. org.gvsig.desktop-2.0.216)
- Assignee set to Joaquín  del Cerro Murciano

#3 - 01/18/2018 08:10 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#4 - 01/29/2018 07:21 PM - Antonio Falciano
- Status changed from Fixed to Closed
